Debian Bug report logs - #627075
xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11

version graph

Package: xserver-xorg-input-tslib; Maintainer for xserver-xorg-input-tslib is Debian Embedded <debian-embedded@lists.debian.org>;

Reported by: frederic wagner <frederic.wagner@imag.fr>

Date: Tue, 17 May 2011 14:12:02 UTC

Severity: serious

Tags: help

Found in version xf86-input-tslib/0.0.6-6

Fixed in version xf86-input-tslib/0.0.6-7

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, frederic.wagner@imag.fr, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#627075; Package xserver-xorg-input-tslib. (Tue, 17 May 2011 14:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to frederic wagner <frederic.wagner@imag.fr>:
New Bug report received and forwarded. Copy sent to frederic.wagner@imag.fr, Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 17 May 2011 14:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: frederic wagner <frederic.wagner@imag.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11
Date: Tue, 17 May 2011 14:07:57 +0000
Package: xserver-xorg-input-tslib
Severity: normal


here is my install log: (my architecture is armel (freerunner))

root@puce:~# apt-get install xserver-xorg-input-tslib
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xserver-xorg-input-tslib : Depends: xorg-input-abi-11 but it is not installable
E: Broken packages


I tried to install it by bypassing dependencies but the X refuses to load corresponding module.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.34-20101212.git049b71de
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-input-tslib depends on:
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  libts-0.0-0                   1.0-8      touch screen library
ii  xserver-xorg-core             2:1.10.1-2 Xorg X server - core server

xserver-xorg-input-tslib recommends no packages.

xserver-xorg-input-tslib suggests no packages.




Severity set to 'serious' from 'normal' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 14:21:07 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 14:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#627075; Package xserver-xorg-input-tslib. (Tue, 17 May 2011 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 17 May 2011 14:45:03 GMT) Full text and rfc822 format available.

Message #14 received at 627075@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 627075@bugs.debian.org
Subject: Re: xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11
Date: Tue, 17 May 2011 09:42:51 -0500
Debian Bug Tracking System wrote:

> Bug #627075 [xserver-xorg-input-tslib] xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11
> Added tag(s) help.

Does rebuilding against xserver-xorg-core 2:1.9.99.901 or later
help?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#627075; Package xserver-xorg-input-tslib. (Tue, 17 May 2011 14:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 17 May 2011 14:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 627075@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 627075@bugs.debian.org
Subject: Re: Bug#627075: xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11
Date: Tue, 17 May 2011 16:47:29 +0200
On Tue, May 17, 2011 at 09:42:51 -0500, Jonathan Nieder wrote:

> Debian Bug Tracking System wrote:
> 
> > Bug #627075 [xserver-xorg-input-tslib] xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11
> > Added tag(s) help.
> 
> Does rebuilding against xserver-xorg-core 2:1.9.99.901 or later
> help?
> 
I'd expect that to fail, the API for input drivers changed.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#627075; Package xserver-xorg-input-tslib. (Tue, 17 May 2011 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 17 May 2011 14:54:03 GMT) Full text and rfc822 format available.

Message #24 received at 627075@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: frederic wagner <frederic.wagner@imag.fr>, 627075@bugs.debian.org
Subject: Re: Bug#627075: xserver-xorg-input-tslib: package is uninstallable: depends on xorg-input-abi-11
Date: Tue, 17 May 2011 16:49:56 +0200
Hello,

2011/5/17 frederic wagner <frederic.wagner@imag.fr>:

> The following packages have unmet dependencies:
>  xserver-xorg-input-tslib : Depends: xorg-input-abi-11 but it is not installable
> E: Broken packages

The package needs source changes on upstream code to support ABI 12,
so at the moment if someone could help doing those it would be great.
I was looking into it, but I got no much time these days.

Best regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Tue, 07 Jun 2011 00:21:07 GMT) Full text and rfc822 format available.

Notification sent to frederic wagner <frederic.wagner@imag.fr>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 00:21:07 GMT) Full text and rfc822 format available.

Message #29 received at 627075-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 627075-close@bugs.debian.org
Subject: Bug#627075: fixed in xf86-input-tslib 0.0.6-7
Date: Tue, 07 Jun 2011 00:18:25 +0000
Source: xf86-input-tslib
Source-Version: 0.0.6-7

We believe that the bug you reported is fixed in the latest version of
xf86-input-tslib, which is due to be installed in the Debian FTP archive:

xf86-input-tslib_0.0.6-7.debian.tar.gz
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-7.debian.tar.gz
xf86-input-tslib_0.0.6-7.dsc
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-7.dsc
xserver-xorg-input-tslib_0.0.6-7_i386.deb
  to main/x/xf86-input-tslib/xserver-xorg-input-tslib_0.0.6-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627075@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated xf86-input-tslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 07 Jun 2011 00:02:42 +0000
Source: xf86-input-tslib
Binary: xserver-xorg-input-tslib
Architecture: source i386
Version: 0.0.6-7
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 xserver-xorg-input-tslib - tslib touchscreen driver for X.Org/XFree86 server
Closes: 627075
Changes: 
 xf86-input-tslib (0.0.6-7) unstable; urgency=low
 .
   * Fix FTBFS adding support for xorg-input-abi-12.
     Thanks Frederic Wagner (Closes: #627075)
Checksums-Sha1: 
 568fb9126faac1647c52c5bbcd71a5e62a889f0e 2080 xf86-input-tslib_0.0.6-7.dsc
 01a275a99c24724c388a47801822d227d48241ed 8634 xf86-input-tslib_0.0.6-7.debian.tar.gz
 5bfe231179af03a714c0b2c01df5b9e4c18cddd4 14556 xserver-xorg-input-tslib_0.0.6-7_i386.deb
Checksums-Sha256: 
 d981fd8585b8bb9494821c28321aad4cc40d1acb0c754c5cf05bb36803791471 2080 xf86-input-tslib_0.0.6-7.dsc
 213cdcbef7fa3a4456f98f2d459418ca36ed0880bc6a7fea3c73c6456000040c 8634 xf86-input-tslib_0.0.6-7.debian.tar.gz
 dbfafd8d50c772521872b26eb311c2cac6fa1e8b8624bb9f918c350c7bda433c 14556 xserver-xorg-input-tslib_0.0.6-7_i386.deb
Files: 
 20f5e5e341b409db1fad458ef7ea0432 2080 x11 optional xf86-input-tslib_0.0.6-7.dsc
 394d2e4fd50a2a146548a891eb23de59 8634 x11 optional xf86-input-tslib_0.0.6-7.debian.tar.gz
 8ee8389ddc99797cc9c71f2e903986bc 14556 x11 optional xserver-xorg-input-tslib_0.0.6-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN7WvmAAoJEK8ig6p24qx7ljwQAKwY0umccbPk+4hqQQPG4jUI
kx+n15RMFF9vtB2NVXHDdSboYnM9tNV1veW6oa5n+jHwbx7Uw+RZlFFwn3871SYd
H65EA0JbTpVwehcZxVukvNsysOVxRhbxEA60URnE5oaAl9Ka5KdCuaC2KceN7Lmm
NhS6VjKRKoUlaxnYq4nBQPrkLzM+ABnjXJnR8gGsPRp1yb38HZUp7ihBwKxh1ZdT
GNm1brXHcIq+pIXA6iyRxzXypsAhWV8D0gN4Nq3vU3VtyZUDn4jhpWbSJS+YdI3m
mJDXsDvV39+XxkFjjmbduzXICfDgnEqNu81BBn9N2lScOTUbtqxj4M94O8b1Lr+X
Z5kYvXX83+FBRK4ccMLWSX27fnz3PvUSIsx8+wqwWrulMJaYKpgPUBTu+X8Nm0ED
L8TRQIEXk7FM5jl+VQxbaz01oISqsbpM0jFjdwmKhvYFSgKxdacEYzHf/LHUuvWL
9u//N0ihAww5lj9plnfriYh4je0IRkV0vZCSVjQbUiSXL6ZBOC7IH2IZfr8qAGWN
UYTj0cKHMaAzTRE2fUoiijcIoO4ZSz37kEfTghtvSdtgZds6oSVSqXHIoXtcgj5C
k36blOvves9zzsl2OPJQBeFY0vW9ZejoD+nq58EwhkM2EXnvCYrDCh0cD7pCRwaE
hBLrN9MndazdqJgZcw6F
=DtxI
-----END PGP SIGNATURE-----





Bug Marked as found in versions xf86-input-tslib/0.0.6-6. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 10 Nov 2011 10:38:35 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Dec 2011 07:39:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:21:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.